Bug 24230 - intranet_js plugin hook is after body end tag
Summary: intranet_js plugin hook is after body end tag
Status: Pushed to oldoldstable
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Fridolin SOMERS
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2019-12-12 13:24 UTC by Fridolin SOMERS
Modified: 2020-01-15 22:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
20.05.00, 19.11.01, 19.05.07, 18.11.13


Attachments
Bug 24230: fix intranet_js plugin hook before body end tag (1.25 KB, patch)
2019-12-13 06:06 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 24230: fix intranet_js plugin hook before body end tag (1.30 KB, patch)
2019-12-13 08:26 UTC, Nicolas Legrand
Details | Diff | Splinter Review
Bug 24230: fix intranet_js plugin hook before body end tag (1.40 KB, patch)
2019-12-13 10:21 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2019-12-12 13:24:07 UTC
The plugin hook intranet_js is after body tag in intranet-bottom.inc :
    </body>
[% KohaPlugins.get_plugins_intranet_js | $raw %]
</html>
Comment 1 Fridolin SOMERS 2019-12-13 06:06:39 UTC
Created attachment 96236 [details] [review]
Bug 24230: fix intranet_js plugin hook before body end tag

The plugin hook intranet_js is after body tag in intranet-bottom.inc :
    </body>
[% KohaPlugins.get_plugins_intranet_js | $raw %]
</html>

It must be before like in opac-bottom.inc

Test plan :
1) Install a Koha plugin with intranet_js hook, like KitechenSink
2) Go to an intranet page
3) Look at source of the page to see plugin code is before body end tag
Comment 2 Nicolas Legrand 2019-12-13 08:26:26 UTC
Created attachment 96239 [details] [review]
Bug 24230: fix intranet_js plugin hook before body end tag

The plugin hook intranet_js is after body tag in intranet-bottom.inc :
    </body>
[% KohaPlugins.get_plugins_intranet_js | $raw %]
</html>

It must be before like in opac-bottom.inc

Test plan :
1) Install a Koha plugin with intranet_js hook, like KitechenSink
2) Go to an intranet page
3) Look at source of the page to see plugin code is before body end tag

Signed-off-by: Nicolas Legrand <nicolas.legrand@bulac.fr>
Comment 3 Marcel de Rooy 2019-12-13 10:21:05 UTC
Created attachment 96244 [details] [review]
Bug 24230: fix intranet_js plugin hook before body end tag

The plugin hook intranet_js is after body tag in intranet-bottom.inc :
    </body>
[% KohaPlugins.get_plugins_intranet_js | $raw %]
</html>

It must be before like in opac-bottom.inc

Test plan :
1) Install a Koha plugin with intranet_js hook, like KitechenSink
2) Go to an intranet page
3) Look at source of the page to see plugin code is before body end tag

Signed-off-by: Nicolas Legrand <nicolas.legrand@bulac.fr>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Martin Renvoize 2019-12-13 15:32:02 UTC
Nice work everyone!

Pushed to master for 20.05
Comment 5 Joy Nelson 2019-12-20 16:39:45 UTC
Pushed to 19.11.01
Comment 6 Lucas Gass 2020-01-06 22:35:42 UTC
backported to 19.05.x for 19.05.07
Comment 7 Hayley Mapley 2020-01-10 00:18:48 UTC
Backported to 18.11.x for 18.11.13